# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json

# Learn more about building a configuration: https://promptfoo.dev/docs/configuration/guide
description: 'Multiline query demonstration'
prompts:
  - file://prompt.yaml
providers:
  # Using Gemini 3.1 Flash Live Preview
  - id: 'google:live:gemini-3.1-flash-live-preview'
    config:
      generationConfig:
        response_modalities: ['audio']
        outputAudioTranscription: {}
      timeoutMs: 10000
tests:
  - vars:
      first_message: why is the the sea salty?
      second_message: can you give a more brief explanation
    assert:
      - type: icontains
        value: salt
        transform: output.text
      - type: icontains-any
        value:
          - weathering
          - erosion
          - rocks
          - minerals
          - rivers
          - rain
        transform: output.text
  - vars:
      first_message: hey
      second_message: tell me about hawaii
